%define		perlversion	5.10.0
%define		perlepoch	3
%define		perlname	Class-Accessor

Distribution:   CCux
Packager:	Stefan Gottwald <gotti@ccux-linux.de>

Summary:	Class::Accessor::Fast - Faster, but less expandable, accessors
Name:		perl-%{perlname}
Version:	0.31
Release:	3
License:	GNU/GPL 
URL:		http://search.cpan.org/search?module=Class+Accessor
Group:		Development/Perl
Source0:	%{perlname}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot

Requires:	perl = %{perlepoch}:%{perlversion}
BuildRequires:	perl = %{perlepoch}:%{perlversion}
BuildRequires:	cairo-devel

%description
This is a faster but less expandable version of Class::Accessor. 
Class::Accessor's generated accessors require two method calls 
to accompish their task (one for the accessor, another for get() 
or set()). Class::Accessor::Fast eliminates calling set()/get() 
and does the access itself, resulting in a somewhat faster 
accessor.

The downside is that you can't easily alter the behavior of your 
accessors, nor can your subclasses. Of course, should you need 
this later, you can always swap out Class::Accessor::Fast for 
Class::Accessor.

Read the documentation for Class::Accessor for more info.

For more details see: http://search.cpan.org/search?module=Class+Accessor

%prep
%setup -q -n %{perlname}-%{version}

%build
perl Makefile.PL %_prefix
make

%install
rm -Rf %{buildroot}
make install DESTDIR=%{buildroot}
# removing unwanted stuff
if [ -f %{buildroot}%_libdir/perl5/%{perlversion}/*/perllocal.pod ]; then
	rm -f %{buildroot}%_libdir/perl5/%{perlversion}/*/perllocal.pod
fi
# stripping package
find %{buildroot} -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%_libdir
%_mandir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Jan 01 2008 Stefan Gottwald <gotti@ccux-linux.de> 0.31-3
- clean up spec file
* Sun Dec 30 2007 Stefan Gottwald <gotti@ccux-linux.de> 0.31-2
- Rebuild against new perl 5.10.0
* Mon Oct 08 2007 Stefan Gottwald <gotti@ccux-linux.de> 0.31-1
- Initial Release
